Bug 1276893 - gsl-2.1 is available
gsl-2.1 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gsl (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
https://docs.google.com/spreadsheets/...
: FutureFeature, Triaged
Depends On: 1266797 1282004 1283007
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-31 20:18 EDT by Upstream Release Monitoring
Modified: 2016-02-22 12:53 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-22 12:53:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[patch] Update to 2.0 (#1276893) (1.00 KB, patch)
2015-10-31 20:19 EDT, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 2.1 (#1276893) (1.01 KB, patch)
2015-11-12 07:15 EST, Upstream Release Monitoring
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2015-10-31 20:18:13 EDT
Latest upstream release: 2.0
Current version/release in rawhide: 1.16-17.fc23
URL: http://www.gnu.org/software/gsl/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2015-10-31 20:19:04 EDT
Created attachment 1088289 [details]
[patch] Update to 2.0 (#1276893)
Comment 2 Upstream Release Monitoring 2015-10-31 20:21:32 EDT
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11656899
Comment 3 Upstream Release Monitoring 2015-11-12 07:14:44 EST
Latest upstream release: 2.1
Current version/release in rawhide: 1.16-17.fc23
URL: http://www.gnu.org/software/gsl/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 4 Upstream Release Monitoring 2015-11-12 07:15:35 EST
Created attachment 1093237 [details]
[patch] Update to 2.1 (#1276893)
Comment 5 Upstream Release Monitoring 2015-11-12 07:19:09 EST
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11803913
Comment 6 Orion Poplawski 2015-11-12 11:48:59 EST
Working on https://copr-fe.cloud.fedoraproject.org/coprs/orion/gsl2/
Comment 7 Orion Poplawski 2015-11-13 15:30:47 EST
Tests are failing on 32-bit - 
http://lists.gnu.org/archive/html/bug-gsl/2015-11/msg00011.html
Comment 8 Orion Poplawski 2015-11-13 16:53:37 EST
Asymptote fails to build - https://sourceforge.net/p/asymptote/bugs/201/
Comment 9 Orion Poplawski 2015-11-13 21:28:21 EST
LabPlot fails to build - https://bugs.kde.org/show_bug.cgi?id=355323

gsl 2 dropped the unused third argument n to gsl_sf_ellint_D.  something like

#if GSL_MAJOR_VERSION >= 2

should work.
Comment 10 Orion Poplawski 2015-11-13 22:44:19 EST
kst - https://bugs.kde.org/show_bug.cgi?id=355324
Comment 11 Orion Poplawski 2015-11-13 23:00:04 EST
mp - https://github.com/ampl/mp/issues/70
Comment 12 Orion Poplawski 2015-11-13 23:40:33 EST
ocaml-gsl - https://github.com/mmottl/gsl-ocaml/issues/10
Comment 13 Orion Poplawski 2015-11-13 23:53:23 EST
octave-gsl - https://savannah.gnu.org/bugs/index.php?46442
Comment 14 Orion Poplawski 2015-11-14 00:09:15 EST
orsa - https://bugzilla.redhat.com/show_bug.cgi?id=1282004
Comment 16 Orion Poplawski 2015-11-14 00:19:49 EST
PDL - https://sourceforge.net/p/pdl/bugs/407/
Comment 17 Orion Poplawski 2016-02-16 21:33:15 EST
I'm going to try to get this pushed soon...
Comment 18 Upstream Release Monitoring 2016-02-22 11:25:21 EST
orion's gsl-2.1-1.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=737716

Note You need to log in before you can comment on or make changes to this bug.